<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.tools Class Hierarchy (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.tools Class Hierarchy (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/service/resources/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/tools/arc/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/tools/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.apache.nutch.tools</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/AbstractCommonCrawlFormat.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">AbstractCommonCrawlFormat</span></a> (implements org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/CommonCrawlFormat.html" title="interface in org.apache.nutch.tools">CommonCrawlFormat</a>)
<ul>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJackson.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">CommonCrawlFormatJackson</span></a></li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/CommonCrawlFormatJettinson.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">CommonCrawlFormatJettinson</span></a></li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/CommonCrawlFormatSimple.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">CommonCrawlFormatSimple</span></a></li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/CommonCrawlFormatWARC.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">CommonCrawlFormatWARC</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/Benchmark.BenchmarkResults.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">Benchmark.BenchmarkResults</span></a></li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/CommonCrawlConfig.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">CommonCrawlConfig</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/CommonCrawlFormatFactory.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">CommonCrawlFormatFactory</span></a></li>
<li type="circle">org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configured.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><span class="typeNameLink">Configured</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)
<ul>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/Benchmark.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">Benchmark</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/FreeGenerator.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">FreeGenerator</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util"><span class="typeNameLink">NutchTool</span></a>
<ul>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/CommonCrawlDataDumper.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">CommonCrawlDataDumper</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
</ul>
</li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/ShowProperties.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">ShowProperties</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
</ul>
</li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/DmozParser.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">DmozParser</span></a></li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/FileDumper.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">FileDumper</span></a></li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/FreeGenerator.FG.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">FreeGenerator.FG</span></a></li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Mapper.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Mapper</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/FreeGenerator.FG.FGMapper.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">FreeGenerator.FG.FGMapper</span></a></li>
</ul>
</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Reducer.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Reducer</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/FreeGenerator.FG.FGReducer.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">FreeGenerator.FG.FGReducer</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/ResolveUrls.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">ResolveUrls</span></a></li>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/WARCUtils.html" title="class in org.apache.nutch.tools"><span class="typeNameLink">WARCUtils</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">AutoCloseable</span></a>
<ul>
<li type="circle">java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io"><span class="typeNameLink">Closeable</span></a>
<ul>
<li type="circle">org.apache.nutch.tools.<a href="../../../../org/apache/nutch/tools/CommonCrawlFormat.html" title="interface in org.apache.nutch.tools"><span class="typeNameLink">CommonCrawlFormat</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/service/resources/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/tools/arc/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/tools/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
